Summary:	SCLI - SNMP Command Line Interface
Name:		scli
Version:	0.2.12
Release:	3mdk
License:	GPL
Group:		Networking/Other

Source:		ftp://ftp.ibr.cs.tu-bs.de/pub/local/scli/%{name}-%{version}.tar.bz2
Url:		http://www.ibr.cs.tu-bs.de/projects/scli/
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	libxml2-devel readline-devel libncurses-devel libglib-devel

%description

Authors description on the project's home page:

The scli package was written to address the need for small and
efficient command line utilities to monitor and configure network
devices and host systems. The scli package is based on the SNMP
management protocol. It utilizes a MIB compiler called smidump to
generate C stub code. In fact, virtually no SNMP knowledge is required
in order to extend the scli programs with new features.

The programs contained in the scli package try to be very specific
rather than generic. Generic SNMP tools such as MIB browsers or simple
command line tools (e.g. snmpwalk) are hard to use since they expose
too many protocol details. And in most cases, they fail to present the
information in a format that is easy to read and understand.

The scli package was designed to be extensible. Additional modes that
extend the capabilities of the tools can easily be added. The smidump
MIB compiler hides all the SNMP protocol details so that every C
programmer can implement new modes. In fact, we like to encourage
users to write and contribute new modes so that the package becomes
more and more valuable.

To summarize, the slogan for this little package is: "After more than
10 years of SNMP, I felt it is time for really useful command line
SNMP monitoring and configuration tools. ;-)"

%prep
%setup -q

%build
%configure --disable-xmltest
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS PORTING README TODO doc/scli.ps
%_bindir/*
%_mandir/man1/*
%_infodir/*

%changelog
* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.12-3mdk
- Nuke explicit dependencies

* Tue Sep  2 2003 Till Kamppeter <till@mandrakesoft.com> 0.2.12-2mdk
- Corrected BuildRequires: no major numbers for libraries (needed to build 
  on 64-bit systems).

* Fri Aug 22 2003 Till Kamppeter <till@mandrakesoft.com> 0.2.12-1mdk
- Updated to version 2.1.12.
- Removed the patch, it is not needed any more as scli has the "-v"
  for using a fixed SNMP version now.

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.9-4mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install


* Fri Jan 17 2003 Till Kamppeter <till@mandrakesoft.com> 0.2.9-3mdk
- Rebuilt for new glibc.

* Sun Jul 28 2002 Till Kamppeter <till@mandrakesoft.com> 0.2.9-2mdk
- Patched SCLI to be able to only use SNMPv1, makes SCLI much faster on
  SNMPv1-only devices.

* Sat Jul 27 2002 Till Kamppeter <till@mandrakesoft.com> 0.2.9-1mdk
- Initial release
